org.apache.ignite.internal.processors.cache.distributed.dht

## Class GridDhtCacheAdapter.MessageHandler<M>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtCacheAdapter.MessageHandler<M>

All Implemented Interfaces:
  Serializable, IgniteBiInClosure<UUID,M>

Enclosing class:
  GridDhtCacheAdapter<K,V>

    protected abstract class GridDhtCacheAdapter.MessageHandler<M>
    extends Object
    implements IgniteBiInClosure<UUID,M>

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `MessageHandler()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `apply(UUID nodeId, M msg)` Closure body.
`protected abstract void` `onMessage(ClusterNode node, M msg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MessageHandler

    protected MessageHandler()

### Method Detail

#### apply

    public void apply(UUID nodeId,
                      M msg)

Closure body.

Specified by:
  `apply` in interface `IgniteBiInClosure<UUID,M>`
Parameters:
  `nodeId` - First parameter.
  `msg` - Second parameter.

#### onMessage

    protected abstract void onMessage(ClusterNode node,
                                      M msg)

Parameters:
  `node` - Node.
  `msg` - Message.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023